<!doctype html>
<html>
<head>
    <title>Login</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Compiled and minified CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">

    <!-- Compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css"
          integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <script type="text/javascript">
          Raven.config('https://8277b5311aec4705b33d389b41318656@o491805.ingest.sentry.io/5557979').install();
        window.onerror = Raven.process;
      </script>
</head>
{% load static %}

<style>
    .Mainblock {
        width: 60%;
        padding: 10px;

        border-bottom-width: 1px;
        border-color: gray;
        border-style: solid;
    }

    .Mainblock2 {
        width: 40%;
        padding: 10px;
        padding-left: 50px;
        border-bottom-width: 1px;
        border-color: gray;
        border-style: solid;
    }

    .pic {
        width: 0%;
        height: 50%;
    }

    .et_pb_button {
        display: inline-block;
        margin: 5px; /* space between buttons */
    }

    .commentbox {
        height: 40%;
        padding: 10px;

    }

    .btn {
        padding-bottom: 10px;
    }

    .Comm {
        padding: 10px;
        padding-top: 300px;
        height: 50%;
    }

    .navbar {
        background-color: white;

    }



</style>

<!-- As a heading -->
<!--<nav class="navbar navbar-light bg-light shadow">-->
<!--    <span class="navbar-brand mb-0 h1">Country Lists</span>-->
  <nav class="navbar">
        <a class="navbar-brand" href="#" style="color: black">Country Web apps ><span>Countries</span></a>

    <div class="float-right">
        {% if user.is_authenticated %}
        <a href="/contact">
            <button class="btn btn-success mb-4">Contact</button>
        </a>
        <a href="{% url 'logout' %}">
            <button class="btn btn-danger mb-4">Logout</button>
        </a>
        {% else %}
        <a href="{% url 'signup' %}">
            <button class="btn btn-danger mb-4">Signup</button>
        </a>
        <a href="{% url 'logout' %}">
            <button class="btn btn-danger mb-4">Logout</button>
        </a>
        <a href="{% url 'login' %}">
            <button class="btn btn-success mb-4">Login</button>
        </a>
        {% endif %}

    </div>

</nav>

{% for message in messages %}
<div class="alert {{ message.tags }} alert-dismissible text-center mt-3" role="alert">
    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
    {{ message }}
</div>
{% endfor %}

<br>
<body>
<div class="container ">

    <div class="row">

        <div class="left Mainblock">
            <h4 style="margin-top: 10px;">Countries</h4>

            <!--            <input type="text" placeholder="Search..">-->
            <form action="/search_view/" class="form-inline">
                <input class="form-control mr-sm-2" type="search" name="query" id="query"
                       placeholder="Search with country or capital name ...!!" aria-label="Search" required>
                <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
            </form>
            {% for cont in country %}
            <div class="card">

                <div class="card-content">
                    <div class="left" style="padding: 7px">
                        <img src="{{ cont.image.url }}">
                    </div>
                    <div class="right" style="padding: 7px">

                        <h5> {{ cont.country_name }}</h5>
                        <h6>Currency:{{ cont.currency }}</h6>
                        <h6>Current date and time: {{ cont.date }}</h6>

                        <a class="et_pb_button" style="display:inline-block">Show Map</a>
                        <a class="et_pb_button" style="display:inline-block">Detail</a>
                        <a class="et_pb_button" style="display:inline-block;"
                           href="{{ cont.get_absolute_url }}">Detail</a>

                    </div>

                </div>
            </div>
            {% endfor %}
        </div>
        <div class="Mainblock2">
            <div class="">

            </div>
            <div class="Comm">
                <center><h3 style="font-style:italic"> Got something to say?</h3></center>
                <center><h6 style="font-style:italic">Comment to start a discussion, make a note, or</h6></center>
                <center><h6 style="font-style:italic"> annotate the artboard.</h6></center>

            </div>

        </div>
    </div>

</div>
